Name:           tla
Version:        1.3.4
Release:        2
Summary:        GNU arch revision control system
Group:          Development/Tools
License:        GPL
URL:            http://www.gnu.org/software/gnu-arch/
Source0:        http://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz
Source1:        http://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz.sig
Patch0:         %{name}-1.2pre0-posix.patch
Patch1:         %{name}-1.3.3-sysneon.patch
Patch2:         %{name}-remove-invariant.patch
Source2:        %{name}-generate-manpage.pl

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  neon-devel 
Requires:  tar, patch, diffutils     

%description
GNU arch is a revision control system, similar in purpose to tools
such as CVS, SCCS, and Subversion.  It is used to keep track of the
changes made to a source tree and to help programmers combine and
otherwise manipulate changes made by multiple people or at different
times.  GNU arch has some features that make it particularly useful
for public free software projects: it's easy to learn; it's
inexpensive and easy to administer; it's a distributed system so
there's no need to give write permission to every project participant;
it has excellent support for the kinds of branching and merging that
can make a free software project team shine.

%prep
%setup -q
cd src
%patch0 -p0
cd ..
rm -rf src/libneon
rm -rf src/expat
#%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
mkdir src/=build
cd src/=build
../configure \
  --prefix=%{_prefix} --with-install-link-tools=yes --with-cc=gcc --with-gnu-diff /opt/freeware/bin/diff
make CFLAGS="$RPM_OPT_FLAGS $(neon-config --cflags)" 

# put the documentation in a reasonable spot and only include html/css files
mkdir -p docs-tla/html
(cd ../docs-tla; find .  -name \*.css -o -name \*.html | xargs tar -cf- ) | \
(cd docs-tla/html; tar -xf-)
cd ../..

mkdir -p debian/tmp
PATH="`pwd`/src/=build/tla/tla:$PATH" perl %{SOURCE2} tla.1

%install
rm -rf $RPM_BUILD_ROOT
make -C src/=build install \
    destdir=$RPM_BUILD_ROOT CFLAGS="$RPM_OPT_FLAGS $(neon-config --cflags)"
install -Dpm 644 debian/tmp/tla.1 $RPM_BUILD_ROOT%{_mandir}/man1/tla.1


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc src/COPYING src/tla/ChangeLog src/=build/docs-tla/html/
%{_bindir}/make-links
%{_bindir}/remove-links
%{_bindir}/tla
%{_mandir}/man1/tla.1*

%changelog
* Tue Apr 22 2025 Sangamesh Mallayya <smallayy@in.ibm.com> - 1.3.4-2
- Rebuild for AIX 7.1 using RPMv4.

* Fri Aug 19 2016 Ravi Hirekurabar <rhirekur@in.ibm.com> - 1.3.4-1
- Initial Port
